Subject: [alpine-aports] [PATCH] testing/skalibs: new aport

From: John Regan <[email-masked]>
Date: Wed, 25 Feb 2015 14:43:42 -0500

---
 testing/skalibs/APKBUILD | 51 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/skalibs/APKBUILD

diff --git a/testing/skalibs/APKBUILD b/testing/skalibs/APKBUILD
new file mode 100644
index 0000000..e83d77e
--- /dev/null
+++ b/testing/skalibs/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: John Regan <[email-masked]>
+# Maintainer: John Regan <[email-masked]>
+pkgname=skalibs
+pkgver=2.3.1.0
+pkgrel=0
+pkgdesc="A set of general-purpose C programming libraries for skarnet.org software."
+url="http://skarnet.org/software/skalibs/"
+arch="all"
+license="ISC"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		--datadir=/etc \
+		--enable-force-devr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="3d98ef7518b5e79dcf792100a32634d9  skalibs-2.3.0.0.tar.gz"
+sha256sums="43191cce81ee8849907d3e9114826f22a6a82f5790e21205351f2b69f34d66fa  skalibs-2.3.0.0.tar.gz"
+sha512sums="b516b51a5bfb0d059ee2f78c6f239e6179389ea087ba492cf0ee72982a1461a38640b37cfe552049fcbcf815c1a26d4f0425f63bb186a16c936a165c7a9d9358  skalibs-2.3.0.0.tar.gz"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---